Subject: Re: linux-next: Tree for January 15 (Call Trace in fs/dcache.c + autofs4)

From: Al Viro <[email-masked]>
Date: Sat, 15 Jan 2011 11:08:48 +0000

On Sat, Jan 15, 2011 at 12:00:54PM +0100, Sedat Dilek wrote:

> > Argh... ??In __do_follow_link() replace
> >
> > ?? ?? ?? ??if (link->mnt != nd->path.mnt)
> > with
> > ?? ?? ?? ??if (link->mnt == nd->path.mnt)
> >
> > Mismerge yesterday ;-/ ??I've pushed fix for that in for-next, will fold
> > shortly. ??As for autofs4 breakage, I've a preliminary fix, testing it
> > now.
> >
> 
> Hey, cool and thanks.
> 
> Not sure if you catched them all, I have noticed on my latest
> ("buggy") linux-next kernel these Call Traces when doing an
> update-grub.

That might be vfsmount being dropped when it shouldn't or dentry leaked.
And seeing that it's umount(8), I would suspect the latter...

Anyway, with the latest from dhowells we probably should have
d_set_d_op() mess on autofs4 under control (in #for-next).  Whether
it's enough to actually fix the sucker is a separate question, of
course - there might very well be more crap.

I've instrumented mntput() et.al. here; hopefully that'll make catching
the remaining turds easier.  As for dcache leaks... ouch.  Could you
try to reproduce that one on the mainline kernel?  At least that'd
isolate things a bit.